import { select, arc, transform } from 'd3';

const svg = select('#mysvg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const circle = svg.append('circle')
	.attr('r', height/2)
	.attr('cx', width/2)
	.attr('cy', height/2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const g = svg.append('g')
	.attr('transform',`translate(${width/2},${(height/2) + 50})`)

const mouth = g.append('path')

  .attr('d',arc()({
    innerRadius: 0,
    outerRadius: 120,
    startAngle: Math.PI/2,
    endAngle: Math.PI*3/2
  }))

	.attr('width', (width/2) + 100)
